> ## Documentation Index
> Fetch the complete documentation index at: https://docs.getflick.co/llms.txt
> Use this file to discover all available pages before exploring further.

# verifyPin

> Pin verification



## OpenAPI

````yaml /openapi/collections.json post /collection/verify-pin
openapi: 3.0.2
info:
  title: Flick Collections API
  description: This is a sample API Document for Flick services
  termsOfService: http://getflick.app/terms-conditions
  contact:
    email: kingsley@getflick.app
  license:
    name: FLICK
    url: http://www.getflick.app
  version: 1.0.17
servers:
  - url: https://flickopenapi.co
    description: For linking your banks to Flick
security:
  - bearerAuth: []
tags:
  - name: Virtual Account/IBANs
    description: iban Charging
    externalDocs:
      description: Find out more
      url: http://www.getflick.app
  - name: Card
    description: Card Charging
    externalDocs:
      description: Find out more
      url: http://www.getflick.app
  - name: Direct-debit
    description: Debit
    externalDocs:
      description: Find out more
      url: http://www.getflick.app
externalDocs:
  description: Find out more about Flick
  url: https://www.linkedin.com/company/getflick/
paths:
  /collection/verify-pin:
    post:
      tags:
        - Card
      summary: verifyPin
      description: Pin verification
      operationId: Varifing pin
      requestBody:
        description: Checking for Card Pin
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/Pin'
        required: true
      responses:
        '200':
          description: Successful
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PinResponse'
        '400':
          description: Wrong Input
        '403':
          description: Unauthroized Access
        '405':
          description: Invalid input
        '500':
          description: Internal Server Error
      security:
        - bearerAuth: []
components:
  schemas:
    Pin:
      required:
        - pin
        - transactionId
      type: object
      properties:
        pin:
          type: string
          example: '973467'
        transactionId:
          type: string
          example: Flick-48be60-9087-12ed-adc2-a3514a54591f-aab
    PinResponse:
      type: object
      properties:
        status:
          type: integer
          example: 200
        data:
          type: object
          properties:
            transactionId:
              type: string
              example: Flick-4a28be60-9087-12-adc2-a3514a54591f-aa
            authorizationMode:
              type: string
              example: pin
            authorizationFields:
              type: string
              example: pin
            status:
              type: string
              example: success
            message:
              type: string
              example: Waiting for pin
            amount:
              type: string
              example: '12345'
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: >-
        Your live or test secret key, prefixed `sk-`. Send as `Authorization:
        Bearer sk-...`.

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.